#!/bin/csh
#
mkdir earth_stl
mkdir earth_ply earth_ply_big
mkdir earth_mgf earth_raw
#
foreach level (0 1 2 3 4 5 6 7 8)
  set stl=earth_stl/${level}.stl
  ../globe/bin/globe_ih $level earth.tif -32768 1 127560 earth.tif $stl
  ../bin/stl_ply $stl earth_ply/${level}.ply
  ../bin/stl_ply_big $stl earth_ply_big/${level}.ply
  ./stl_mgf $stl >earth_mgf/${level}.mgf
  ./stl_raw $stl >earth_raw/${level}.raw
end
